import axios from 'axios';
import { AUTH_PROXY_URL } from 'core/constants/urls';
import { User } from './types';

export default class {
  static fetchUser = () =>
    axios
      .get<User>(String.prototype.concat(AUTH_PROXY_URL, '/user'))
      .then(res => res.data);
}
